## org.biojavax.bio.phylo.io.nexus
Interface NexusBlockListener

All Known Subinterfaces:
  CharactersBlockListener, DataBlockListener, DistancesBlockListener, NexusBlockBuilder, TaxaBlockListener, TreesBlockListener

All Known Implementing Classes:
  CharactersBlockBuilder, DataBlockBuilder, DistancesBlockBuilder, NexusBlockBuilder.Abstract, TaxaBlockBuilder, TreesBlockBuilder

    public interface NexusBlockListener

Listens to events from NexusBlockParser objects to create objects. This empty interface needs to be implemented/extended for each block type supported.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Method Summary
`void` `beginComment()` Opening a comment tag.
`void` `commentText(String comment)` Receiving free text inside a comment tag.
`void` `endBlock()` Notifies the parser that a block is ending.
`void` `endComment()` Closing a comment tag.
`void` `endTokenGroup()` Closing a line (semi-colon encountered).
`void` `startBlock(String blockName)` Notifies the parser that a new block is starting.

Method Detail

### startBlock

    void startBlock(String blockName)

  Notifies the parser that a new block is starting.

  Parameters:
    `blockName` - the name of the newly started block.

### endBlock

    void endBlock()

  Notifies the parser that a block is ending.

### beginComment

    void beginComment()

  Opening a comment tag.

### endComment

    void endComment()

  Closing a comment tag.

### endTokenGroup

    void endTokenGroup()

  Closing a line (semi-colon encountered). This indicates that anything received after it is on the next logical line of the block.

### commentText

    void commentText(String comment)
                     throws ParseException

  Receiving free text inside a comment tag.

  Parameters:
    `comment` - the text of the comment.
  Throws:
    `ParseException`